import { ModuleWithProviders } from '@angular/core';
import { AuthConfig } from './interfaces/config.interface';
import { Auth } from './auth.service';
export declare class AuthModule {
    static forRoot(config?: AuthConfig): ModuleWithProviders<AuthModule>;
}
export declare function initializeAuth(auth: Auth): () => Promise<void>;
